<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado  = $_SESSION['idUsuarioLogado'];
$opcaoParametro = $_POST['opcaoParametro'];
$htmlRetorno    = "";

$formataSexo = array(
  "A" => "AMBOS",
  "M" => "MASCULINO",
  "F" => "FEMININO"
);

switch($opcaoParametro){
  
  case "profissional":

    $idParametro    = $_POST['idParametro'];
    $idUnidade      = $_POST['idUnidade'];
    $idProfissional = $_POST['idProfissional'];
    $sexoPermitido  = $_POST['sexoPermitido'];
    $idadeMinima    = $_POST['idadeMinima'];
    $idadeMaxima    = $_POST['idadeMaxima'];

    //VERIFICAR SE JÁ EXISTE PARÂMETRO REGISTRADO
    $sqlParametroExistente = "SELECT id_parametro_profissional 
    FROM reg_tb_parametro_profissional
    WHERE (codigoestabelecimento_cnes='$idUnidade')
    AND (codigoprofissional_cnes='$idProfissional')";
    $stmParametroExistente  = $rsConexao->prepare($sqlParametroExistente);
    $stmParametroExistente  -> execute();
    if($stmParametroExistente->rowCount()>0 && $idParametro==""){  
      echo "JaExistePP";
      exit;
    }

    if($idParametro == ""){
      $sqlParametro  =  "INSERT INTO reg_tb_parametro_profissional(
        codigoestabelecimento_cnes,
        codigoprofissional_cnes,
        sexo_permitido,
        idade_minima,
        idade_maxima
      ) VALUES (
        :setEstabelecimento,
        :setProfissional,
        :setSexoPermitido,
        :setIdadeMinima,
        :setIdadeMaxima
      )";
    }else{
      $sqlParametro = "UPDATE reg_tb_parametro_profissional SET
      codigoestabelecimento_cnes=:setEstabelecimento,
      codigoprofissional_cnes=:setProfissional,
      sexo_permitido=:setSexoPermitido,
      idade_minima=:setIdadeMinima,
      idade_maxima=:setIdadeMaxima
      WHERE id_parametro_profissional='$idParametro'";
    }

      $stmParametro = $rsConexao->prepare($sqlParametro);
      $stmParametro -> bindParam(":setEstabelecimento",$idUnidade,PDO::PARAM_STR);
      $stmParametro -> bindParam(":setProfissional",$idProfissional,PDO::PARAM_STR);
      $stmParametro -> bindParam(":setSexoPermitido",$sexoPermitido,PDO::PARAM_STR);
      $stmParametro -> bindParam(":setIdadeMinima",$idadeMinima,PDO::PARAM_STR);
      $stmParametro -> bindParam(":setIdadeMaxima",$idadeMaxima,PDO::PARAM_STR);
      $stmParametro -> execute();

      if($idParametro == ""){
        $idParametroCadastrado  = $rsConexao->lastInsertId();
      }else{
        $idParametroCadastrado  = $idParametro;
      }
      
      # --  carregar lista atualizada -- #
      $sqlParametro = "SELECT reg_tb_parametro_profissional.id_parametro_profissional,
      tb_profissional.nome_profissional,
      tb_profissional.codigoprofissional_cnes,
      reg_tb_parametro_profissional.sexo_permitido,
      reg_tb_parametro_profissional.idade_minima,
      reg_tb_parametro_profissional.idade_maxima
      FROM reg_tb_parametro_profissional
      INNER JOIN tb_profissional ON (reg_tb_parametro_profissional.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
      WHERE (reg_tb_parametro_profissional.codigoestabelecimento_cnes='$idUnidade')
      ORDER BY tb_profissional.nome_profissional";
      $stmParametro = $rsConexao->prepare($sqlParametro);
      $stmParametro -> execute();
      if($stmParametro->rowCount()>0){
        $rsParametro  = $stmParametro->fetchAll(PDO::FETCH_ASSOC);
        foreach($rsParametro AS $fieldParametro){
          $idParametro          = $fieldParametro['id_parametro_profissional'];
          $idProfissional       = $fieldParametro['codigoprofissional_cnes'];
          $nomeProfissional     = mb_strtoupper($fieldParametro['nome_profissional']);
          $sexoPermitidoExibir  = $formataSexo[$fieldParametro['sexo_permitido']];
          $sexoPermitido        = $fieldParametro['sexo_permitido'];
          $idadeMinima          = $fieldParametro['idade_minima'];
          $idadeMaxima          = $fieldParametro['idade_maxima'];
  
          $linkEditarParametro  = '"editarParametro(' . "'$idParametro#$idProfissional#$sexoPermitido#$idadeMinima#$idadeMaxima')" . '"';
          $linkExcluirParametro = '"excluirParametro(' . "'$idParametro','$idUnidade')" . '"';
  
          echo "<tr>
            <td align='center'>
              <i class='icofont icofont-edit nova_fonte' title='Editar registro de parâmetro.' onclick=$linkEditarParametro></i>&nbsp;
              <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de parâmetro.' onclick=$linkExcluirParametro></i>
            </td>
            <td>$nomeProfissional</td>
            <td align='center'>$sexoPermitidoExibir</td>
            <td align='center'>$idadeMinima</td>
            <td align='center'>$idadeMaxima</td>
          </tr>";
        }
      }

  break;
}
?>